HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostWebhookEndpoints

Contains the different functions to run the operation postWebhookEndpoints

  • 5 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports7
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostWebhookEndpoints.hs
valuepostWebhookEndpoints
  1. :: MonadHTTP m
  2. => PostWebhookEndpointsRequestBody

    The request body to send

  3. -> ClientT m (Response PostWebhookEndpointsResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/webhook_endpoints

<p>A webhook endpoint must have a <code>url</code> and a list of <code>enabled_events</code>. You may optionally specify the Boolean <code>connect</code> parameter. If set to true, then a Connect webhook endpoint that notifies the specified <code>url</code> about events from all connected accounts is created; otherwise an account webhook endpoint that notifies the specified <code>url</code> only about events from your account is created. You can also create webhook endpoints in the <a href="https://dashboard.stripe.com/account/webhooks">webhooks settings</a> section of the Dashboard.</p>

Defines the object schema located at paths./v1/webhook_endpoints.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/webhook_endpoints.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.api_version in the specification.

Events sent to this endpoint will be generated with this Stripe Version instead of your account's default Stripe Version.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/webhook_endpoints.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.enabled_events.items in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/webhook_endpoints.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.metadata.anyOf in the specification.

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postWebhookEndpoints.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostWebhookEndpointsResponseError is used.

Constructors

Instances2Eq, Show